Fix kernel build script

This commit is contained in:
Joris van Rantwijk 2024-08-02 20:57:50 +02:00
parent 1afdc44db9
commit 699fa63a75
1 changed files with 9 additions and 7 deletions

View File

@ -3,18 +3,20 @@
set -e
. script_env
setup_toolchain
if [ ! -x "$TOOLCHAIN_DIR/arm-linux-gcc" ]; then
echo "ERROR: Missing $TOOLCHAIN_DIR/arm-linux-gcc" >&2
echo " Build buildroot to prepare the arm-linux toolchain" >&2
exit 1
fi
export PATH="$TOOLCHAIN_DIR:$PATH"
#if [ ! -x "$TOOLCHAIN_DIR/arm-linux-gcc" ]; then
# echo "ERROR: Missing $TOOLCHAIN_DIR/arm-linux-gcc" >&2
# echo " Build buildroot to prepare the arm-linux toolchain" >&2
# exit 1
#fi
#
#export PATH="$TOOLCHAIN_DIR:$PATH"
make -C "$LINUX_DIR" ARCH=arm mrproper
cp -a config/linux_redpitaya_puzzlefw_defconfig "$LINUX_DIR/.config"
make -C "$LINUX_DIR" ARCH=arm CROSS_COMPILE=arm-linux- olddefconfig
make -C "$LINUX_DIR" ARCH=arm CROSS_COMPILE=arm-linux- zImage
make -C "$LINUX_DIR" ARCH=arm CROSS_COMPILE=arm-linux- modules